Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.service
Class ScopeServiceResolver

    java.lang.Object
      org.red5.server.service.ScopeServiceResolver

All Implemented Interfaces:
  IServiceResolver

    public class ScopeServiceResolver

extends Object
implements IServiceResolver

Resolves service names in custom configured services of a scope.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)
See Also:
  `IServiceHandlerProvider.registerServiceHandler(String, Object)`

Constructor Summary
`ScopeServiceResolver()`

Method Summary
`Object` | `resolveService(IScope scope, String serviceName)` Search for a service with the given name in the scope.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScopeServiceResolver

    public ScopeServiceResolver()

Method Detail

### resolveService

    public Object resolveService(IScope scope,
                                 String serviceName)

  Search for a service with the given name in the scope.

  Specified by:
    `resolveService` in interface `IServiceResolver`
  Parameters:
    `scope` - the scope to search in
    `serviceName` - the name of the service
  Returns:
    the object implementing the service or `null` if service doesn't exist

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project